# -*- coding: utf-8 -*-
# Tracer un graphe de fonction par approximation
# (programme de seconde)
#    F. Goichot, décembre 2017
#       version utilisant matplotlib 
#       et sans algorithmique 





import matplotlib.pyplot as plt  

def g(x):
    '''la fonction qu'on veut représenter'''
    return(2*x*x-3*x+1)
    
def graphe(f,a,b,N):
    '''trace le graphe de la fonction f entre a et b avec N segments'''
    lx = [a+i*(b-a)/N for i in range(N+1)]
    ly = [f(x) for x in lx]
    plt.plot(lx,ly)
    plt.xlabel('$x$')  # étiquette sur l'axe horizontal
    plt.ylabel('$f(x)$')  # étiquette sur l'axe vertical
    plt.axhline(color = 'k')  # tracé de l'axe Ox
    plt.axvline(color='k')  # tracé de l'axe Oy
    plt.title("Tracé approché d'un graphe")
    plt.show()  # affichage
    
# programme principal
graphe(g,-2,3,6)